net.sourceforge.pmd.lang.rule.properties

## Class FloatMultiProperty

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.properties.AbstractProperty<T>
  - - net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty<T>
    - - net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty<T>
      - - net.sourceforge.pmd.lang.rule.properties.AbstractMultiNumericProperty<Float[]>
        - - net.sourceforge.pmd.lang.rule.properties.FloatMultiProperty

All Implemented Interfaces:
  Comparable<PropertyDescriptor<?>>, NumericPropertyDescriptor<Float[]>, PropertyDescriptor<Float[]>

    public class FloatMultiProperty
    extends AbstractMultiNumericProperty<Float[]>

Defines a property type that support float property values within an upper and lower boundary.

Author:
  Brian Remedios

### Field Summary

Fields
`static PropertyDescriptorFactory` `FACTORY`

### Fields inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty

`numberFieldTypesByKey`

### Constructor Summary

Constructors
Constructor and Description
`FloatMultiProperty(String theName, String theDescription, Float min, Float max, Float[] defaultValues, float theUIOrder)` Constructor for FloatProperty that configures it to accept multiple values and any number of defaults.

### Method Summary

Methods
`protected Object[]` `arrayFor(int size)` Returns an array of the correct type for the receiver.
`protected Object` `createFrom(String value)` Creates an property value of the right type from a raw string.
`Class<Float[]>` `type()` Denotes the value datatype.

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractMultiNumericProperty

`defaultAsString, isMultiValue`

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty

`addAttributesTo, lowerLimit, rangeString, upperLimit, valueErrorFor`

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty

`valueFrom`

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractProperty

`areEqual, asDelimitedString, asDelimitedString, asString, attributeValuesById, choices, compareTo, defaultHasNullValue, defaultValue, description, equals, errorFor, hashCode, isArray, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, toString, typeErrorFor, uiOrder, valuesErrorFor`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.PropertyDescriptor

`asDelimitedString, attributeValuesById, choices, defaultValue, description, errorFor, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, uiOrder, valueFrom`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Field Detail

#### FACTORY

    public static final PropertyDescriptorFactory FACTORY

### Constructor Detail

#### FloatMultiProperty

    public FloatMultiProperty(String theName,
                      String theDescription,
                      Float min,
                      Float max,
                      Float[] defaultValues,
                      float theUIOrder)

Constructor for FloatProperty that configures it to accept multiple values and any number of defaults.

Parameters:
  `theName` - String
  `theDescription` - String
  `min` - Float
  `max` - Float
  `defaultValues` - Float[]
  `theUIOrder` - float
Throws:
  `IllegalArgumentException`

### Method Detail

#### type

    public Class<Float[]> type()

Description copied from interface: `PropertyDescriptor`
Denotes the value datatype.

Returns:
  Class
See Also:
  `PropertyDescriptor.type()`

#### createFrom

    protected Object createFrom(String value)

Creates an property value of the right type from a raw string.

Specified by:
  `createFrom` in class `AbstractScalarProperty<Float[]>`
Parameters:
  `value` - String
Returns:
  Object

#### arrayFor

    protected Object[] arrayFor(int size)

Returns an array of the correct type for the receiver.

Overrides:
  `arrayFor` in class `AbstractScalarProperty<Float[]>`
Parameters:
  `size` - int
Returns:
  Object[]